# `container_traits` Interface

Traits of an associative-container based on its underlying data structure.

Defined in: `tag_and_trait.hpp`

## Template Parameters

Parameter | Description | Default Value
    class Cntnr
| Container type. | -

## Public Types and Constants

### Container Attributes

Type | Definition | Description
    invalidation_guarantee
    Invalidation guarantee.
| Invalidation-guarantee type. This is either `basic_invalidation_guarantee`, `point_invalidation_guarantee`, or `range_invalidation_guarantee`
    order_preserving
    True only if Cntnr objects guarantee storing  keys by order.
| Order-preserving indicator.
    erase_can_throw
    True only if erasing a key can throw.
| Erase-throw indicator.
    reverse_iteration
    True only reverse iterators are supported.
| Reverse iteration indicator.
    split_join_can_throw
    True only if split or join operations can throw.
| Split-join throw indicator.